| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::Poisson Class Reference

Parameters for the Poisson distributed random number generation with a given mean. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Poisson:
[legend]
Collaboration diagram for Rndm::Poisson:
[legend]

## Public Member Functions
| Poisson (double m)
| Standard Constructor. More...
| ~Poisson () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
Poisson * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean value of the Poisson distribution. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< Poisson >

## Detailed Description

Parameters for the Poisson distributed random number generation with a given mean.

Definition at line 208 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Poisson::Poisson | ( | double | m | ) |
| inline

Standard Constructor.

Definition at line 215 of file RndmGenerators.h.

215 : IRndmGen::Param(IID_IRndmPoisson), m_mean(m) { }
Rndm::Poisson::m_mean
double m_mean
Mean value of the Poisson distribution.
Definition: RndmGenerators.h:212
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93

Rndm::Poisson::~Poisson | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Poisson* Rndm::Poisson::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 223 of file RndmGenerators.h.

223 { return new Poisson(m_mean); }
Rndm::Poisson::m_mean
double m_mean
Mean value of the Poisson distribution.
Definition: RndmGenerators.h:212
Rndm::Poisson::Poisson
Poisson(double m)
Standard Constructor.
Definition: RndmGenerators.h:215

double Rndm::Poisson::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 219 of file RndmGenerators.h.

219 { return m_mean; }
Rndm::Poisson::m_mean
double m_mean
Mean value of the Poisson distribution.
Definition: RndmGenerators.h:212

static const InterfaceID& Rndm::Poisson::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 221 of file RndmGenerators.h.

221 { return IID_IRndmPoisson; }

## Friends And Related Function Documentation

friend class Generator< Poisson >
| friend

Definition at line 209 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Poisson::m_mean
| protected

Mean value of the Poisson distribution.

Definition at line 212 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h